<?
require_once('include/global.php');
require_once('include/mail_lib.php');
require_once('conf.inc.php');


// check
	if (!$_POST['mb_name'])
		msg('올바른 URL로 접근하여 주십시오');

	// 중복여부 체크
	$mb_parent = $_POST['mb_parent'] ?: '0';
	$mb_cnt = db_get_one("SELECT COUNT(*)  FROM " . $TB[MAIL_BOX] . " WHERE m_no='" . $AUTH['auth_m_no'] . "' AND mb_name='" . $_POST['mb_name'] . "' AND mb_parent='" . $mb_parent . "'");
	if ($mb_cnt > 0)
		msg("이미 존재하는 편지함 이름입니다.\\n\\n다른 이름을 사용하여 주십시오.");


// data
	// mb_id
	$mb_id = db_get_one("SELECT MAX(mb_id+0)  FROM " . $TB[MAIL_BOX] . " WHERE m_no='" . $AUTH['auth_m_no'] . "' AND mb_is_system='N'");
	$mb_id = ($mb_id > 0) ? $mb_id+1 : 1;

	// mb_sort
	$mb_sort = db_get_one("SELECT MAX(mb_sort)  FROM " . $TB[MAIL_BOX] . " WHERE m_no='" . $AUTH['auth_m_no'] . "'");
	$mb_sort = ($mb_sort > 0) ? $mb_sort+1 : 1;

	$_POST['mb_name'] = to_db_str($_POST['mb_name'], 255);

	// [2025-11-24] 편지함 트리 최대 깊이 제한
	if ($_POST['mb_parent']) {
		$_POST['mb_parent'] = to_db_str($_POST['mb_parent'], 5);

		$mb_depth = db_get_one("SELECT mb_depth FROM " . $TB['MAIL_BOX']. " WHERE m_no='" . $AUTH['auth_m_no'] . "' AND mb_id='" . $_POST['mb_parent'] . "'");

		if ($mb_depth >= $G_SYS['NM_MAIL_BOX_MAX_DEPTH']) {
			msg('편지함 깊이는 ' . $G_SYS['NM_MAIL_BOX_MAX_DEPTH'] . '단계까지만 지정할 수 있습니다.');
		}
	}

	if ( ! isset($_POST['html_limit'])) {
		$_POST['html_limit'] = 'N';
	}

	$sql = "
		INSERT INTO
			" . $TB[MAIL_BOX] . "
			(m_no, mb_id, mb_name, mb_is_system, mb_sort, html_limit)
		VALUES
			('" . $AUTH['auth_m_no'] . "', '$mb_id', '" . $_POST['mb_name'] . "', 'N', '$mb_sort', '" . $_POST['html_limit'] ."')
		";
	db_query($sql);

	// 하위 편지함 등록을 위해 추가
	if ($_POST['mb_parent']) {
		$cg = get_mail_box_tree_class();
		$ext_set = ", mb_saveday='" . $_POST['mb_saveday'] . "', html_limit='" . $_POST['html_limit'] . "'";
		$msg = $cg->modifyRow(
			$mb_id, $_POST['mb_name'], $_POST['mb_parent'], $mb_sort, null, $ext_set, "AND " . get_mail_box_where()
		);
		if ($msg) {
			msg($msg);
		}
	}

// end
	if ($_GET['is_window_close'])
	{
		msg("편지함이 등록되었습니다.", 0);
		?>
		<script language="JavaScript">
	        <!--
	        opener.location.reload();
	        window.close();
	        //-->
		</script>
		<?
	} else if ($_GET['back_url'])
	{
		msg("편지함이 등록되었습니다.", 0);
		movepage($_GET['back_url']);
	} else
	{
		msg("편지함이 등록되었습니다.", 0);
		movepage('mail_box.php');
	}	// if()


require_once('include/global_end.php');
?>